Webhooks
Atualizar endpoint de webhook
Atualiza URL, eventos ou status de um endpoint. Envie apenas os campos que deseja alterar.
Atualiza URL, eventos ou status de um endpoint. Envie apenas os campos que deseja alterar.
basicAuth Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
{
"success": true,
"message": "string",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "http://example.com",
"has_secret": true,
"events": [
"charge.pending"
],
"status": "active",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"message": "string",
"error": "string"
}{
"success": false,
"message": "string",
"error": "string"
}ID do endpoint (UUID)
curl -X PATCH "https://example.com/v1/postbacks/endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'Nova URL do endpoint
Novos eventos do endpoint
Ativar ou pausar o endpoint